com.holonplatform.vaadin.flow.components.builders

## Interface ValidatableDateTimeInputBuilder

- All Superinterfaces:
    BaseTemporalInputConfigurator<Date,ValidatableDateTimeInputBuilder>, BaseValidatableInputBuilder<Date,ValidatableInput<Date>,ValidatableDateTimeInputBuilder>, ComponentConfigurator<ValidatableDateTimeInputBuilder>, DateTimeInputConfigurator<ValidatableDateTimeInputBuilder>, DeferrableLocalizationConfigurator<ValidatableDateTimeInputBuilder>, FocusableConfigurator<com.vaadin.flow.component.Component,ValidatableDateTimeInputBuilder>, HasDeferrableLocalization, HasElementConfigurator<ValidatableDateTimeInputBuilder>, HasEnabledConfigurator<ValidatableDateTimeInputBuilder>, HasLabelConfigurator<ValidatableDateTimeInputBuilder>, HasPlaceholderConfigurator<ValidatableDateTimeInputBuilder>, HasSizeConfigurator<ValidatableDateTimeInputBuilder>, HasStyleConfigurator<ValidatableDateTimeInputBuilder>, HasTimeInputConfigurator<ValidatableDateTimeInputBuilder>, InputConfigurator<Date,ValueHolder.ValueChangeEvent<Date>,ValidatableDateTimeInputBuilder>, InputValueConfigurator<Date,ValueHolder.ValueChangeEvent<Date>,ValidatableDateTimeInputBuilder>, ValidatableInputConfigurator<Date,ValidatableInput<Date>,ValidatableDateTimeInputBuilder>

      public interface ValidatableDateTimeInputBuilder
      extends DateTimeInputConfigurator<ValidatableDateTimeInputBuilder>, BaseValidatableInputBuilder<Date,ValidatableInput<Date>,ValidatableDateTimeInputBuilder>

  Validatable `Date` with time type `Input` builder.
  Since:
    5.2.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.BaseTemporalInputConfigurator

      `BaseTemporalInputConfigurator.CalendarLocalization, BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C extends BaseTemporalInputConfigurator<D,C>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `HasLabelConfigurator.BaseHasLabelConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DateTimeInputConfigurator

      `timeZone`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.BaseTemporalInputConfigurator

      `initialPosition, locale, localization, localization, max, min, updateLocaleOnAttach, weekNumbersVisible`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputValueConfigurator

      `withValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withAdapter, withReadonlyChangeListener, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener, withFocusShortcut, withFocusShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `create, create, label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTimeInputConfigurator

      `spacing, timeInputWidth, timeStep`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.BaseValidatableInputBuilder

      `build`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ValidatableInputConfigurator

      `required, required, required, required, required, validateOnValueChange, validationStatusHandler, withValidator`

Copyright © 2019 The Holon Platform. All rights reserved.